import { type InstallCommandOptions } from './install';
export declare function rcOptionsTypes(): Pick<any, never>;
export declare function cliOptionsTypes(): {
    recursive: BooleanConstructor;
    save: BooleanConstructor;
    workspace: BooleanConstructor;
};
export declare const commandNames: string[];
export declare function help(): string;
export type AddCommandOptions = InstallCommandOptions & {
    allowNew?: boolean;
    ignoreWorkspaceRootCheck?: boolean;
    save?: boolean;
    update?: boolean;
    useBetaCli?: boolean;
    workspaceRoot?: boolean;
};
export declare function handler(opts: AddCommandOptions, params: string[]): Promise<void>;
